Holds the properties of a single attribute in a VertexDataFormat instance. The member variables must never be changed; they are only `public` for performance reasons.

### Hierarchy

- VertexDataAttribute

## Index

### Constructors

- constructor

## Constructors

### constructor

- new VertexDataAttribute(name: string, format: string, offset: number): VertexDataAttribute

- - Defined in lib/starling/rendering/VertexDataAttribute.d.ts:9

  Creates a new instance with the given properties.

  #### Parameters

  - ##### name: string

  - ##### format: string

  - ##### offset: number

  #### Returns VertexDataAttribute

Generated using TypeDoc